Wonder
post/svc/payment/api/v1/openapi/open_payments

Create a transaction

Directly initiates a transaction without any UI, using either an existing order number.

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

object
note
string

Note information for the order, needs to be less than 255 characters

tips
string

Additional tips to be paid by customers

Example: 1.00

object

The timeout logic only can be used by creating payment link

currencyrequired
string

Currency code, eg HKD

due_date
string

If this date is exceeded, the order will be automatically voided

Example: 2024-01-01

charge_feerequired
string

The amount you charge your customers

Example: 1.00

array<object>

If you wish to display additional line item information

callback_url
string

The address of the backend webhook

Example: https://your.domain/foo/bar

redirect_url
string

The redirection address after the payment link is completed

Example: https://your.domain/foo/bar

save_this_card
boolean

A flag that determines whether to offer tokenize card choise. This function is only triggered when set to true and customer is specified

is_only_pre_auth
boolean

Whether the order supports pre-authorization only

reference_numberrequired
string

Your side unique number

required
object

Payment parameters

object

Used to initiate FPS "Merchant Presented QR Code"

uuid
string

Unique payment id

object

Used to initiate Xpay "Merchant Presented QR Code"

object

Used to initiate Payme "Merchant Presented QR Code"

object

Used to initiate Alipay "Merchant Presented QR Code"

object

Used to initiate Wechatpay "Merchant Presented QR Code"

object

Payment token parameters

object

Used to initiate Unionpay wallet "Merchant Presented QR Code"

object

Required for payment by consumer presented QR code

reference_number
string

Order reference number

Responses

coderequired
integer

Response code

required
object
required
object
messagerequired
string

Response message